/*
 File: cweb_put_k_into_phsym.cpp
 Date and Time: Fri Jan 30 18:55:09 2015 
*/
#include "cweb_put_k_into_ph.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_cweb_put_k_into_ph;// grammar's ns
// first set terminals
// monolithic grammar --- no thread
void 
Ccweb_put_k_into_ph::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Rcweb_put_k_into_phrase_:{
       Rcweb_put_k_into_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rcweb_put_k_into_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rcweb_put_k_into_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs2_Rcweb_put_k_into_phrase_:{
       Rcweb_put_k_into_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rcweb_put_k_into_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rcweb_put_k_into_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr2();
     return;}
    case rhs3_Rcweb_put_k_into_phrase_:{
       Rcweb_put_k_into_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rcweb_put_k_into_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rcweb_put_k_into_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs4_Rcweb_put_k_into_phrase_:{
       Rcweb_put_k_into_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rcweb_put_k_into_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rcweb_put_k_into_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr4();
     return;}
    case rhs5_Rcweb_put_k_into_phrase_:{
       Rcweb_put_k_into_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rcweb_put_k_into_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rcweb_put_k_into_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr5();
     return;}
    case rhs6_Rcweb_put_k_into_phrase_:{
       Rcweb_put_k_into_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rcweb_put_k_into_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rcweb_put_k_into_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr6();
     return;}
    case rhs7_Rcweb_put_k_into_phrase_:{
       Rcweb_put_k_into_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rcweb_put_k_into_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rcweb_put_k_into_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr7();
     return;}
    case rhs8_Rcweb_put_k_into_phrase_:{
       Rcweb_put_k_into_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rcweb_put_k_into_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rcweb_put_k_into_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr8();
     return;}
    default: return;
   }
}
